Sync the room meter
curl --request POST \
--url https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/room-meter/sync \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"description": "<string>",
"ratePerNight": 1,
"timezone": "<string>",
"startedAt": "<string>"
}
'import requests
url = "https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/room-meter/sync"
payload = {
"description": "<string>",
"ratePerNight": 1,
"timezone": "<string>",
"startedAt": "<string>"
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
ratePerNight: 1,
timezone: '<string>',
startedAt: '<string>'
})
};
fetch('https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/room-meter/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meter": {
"id": "mtr-601",
"description": "ICU Bed charges",
"rate": "2500.00",
"startedAt": "2026-10-05T10:30:00.000Z",
"endedAt": null,
"status": "running",
"accrued": {
"units": 2,
"amount": "5000.00"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Billing – Room Meters
Sync the room meter
Creates or replaces the single room meter to match the given rate. Returns meter: null when nothing changed. For one meter per rate plan inclusion, use Sync room meters.
The admission must be on new billing (use_new_billing); otherwise this returns 409. Returns 503 when billing is not configured on the server, and 502 when the billing service fails.
POST
/
ipd
/
v1
/
sdk
/
admissions
/
{admission_id}
/
billing
/
room-meter
/
sync
Sync the room meter
Headers
Path Parameters
Id of the IPD admission.
Minimum string length:
1Body
application/json
Response
OK
The meter, or null when nothing changed.
Example:
{
"id": "mtr-601",
"description": "ICU Bed charges",
"rate": "2500.00",
"startedAt": "2026-10-05T10:30:00.000Z",
"endedAt": null,
"status": "running",
"accrued": { "units": 2, "amount": "5000.00" }
}
Was this page helpful?

